//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.Server
{
    [Serializable]
    public class TTSGoal : Message
    {
        public const string k_RosMessageName = "hlrc_server/ttsGoal";
        public override string RosMessageName => k_RosMessageName;

        // utterance
        public string text;

        public TTSGoal()
        {
            this.text = "";
        }

        public TTSGoal(string text)
        {
            this.text = text;
        }

        public static TTSGoal Deserialize(MessageDeserializer deserializer) => new TTSGoal(deserializer);

        private TTSGoal(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.text);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.text);
        }

        public override string ToString()
        {
            return "TTSGoal: " +
            "\ntext: " + text.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Goal);
        }
    }
}
